Skip to main content
POST
/
api
/
v1
/
documents
/
{customerId}
/
{documentType}
cURL
curl --request POST \
  --url https://api-staging.getmeadow.com/api/v1/documents/{customerId}/{documentType} \
  --header 'Content-Type: application/json' \
  --header 'X-Client-Key: <api-key>' \
  --header 'X-Consumer-Key: <api-key>' \
  --data '
{
  "documentBase64": "BASE_64_STRING_HERE",
  "documentMime": "image/jpeg"
}
'
{
  "error": {
    "message": "A description of the error code",
    "code": "CODE_OF_ERROR_WILL_BE_HERE"
  }
}
Upload a document to a customer profile. You will find the customer ID from the response of create an order (POST /api/v1/orders) as customer.id. Meadow supports two document types: license and recommendation. The license type is used for government identification such as a driver’s license and recommendation is used for medical cannabis recommendations. Documents are uploaded in the response body by turning them into a Base64 encoded string. Please reach out if you have any questions about how to accomplish this. When a document upload is successful, the status code will be 204 and there will be no response body returned. The file size limit for documents is 2.5mb.

Authorizations

X-Consumer-Key
string
header
required

The key assigned to your company and provided via Meadow

X-Client-Key
string
header
required

The key generated and provided by our mutual client

Path Parameters

customerId
integer<int64>
required

ID of customer for this document

documentType
enum<string>
required

The type of document. Must be either license or recommendation. license is for government identification such as a Driver's License. recommendation is for medical cannabis doctor's recommendations.

Available options:
license,
recommendation

Body

application/json
documentBase64
string
required

The file encoded as a Base64 string.

documentMime
string
required

The mime of the document file. (Example: image/jpeg)

Response

Empty response for successful upload